﻿/***********************************************************//**
 *
 * Interface of Window & Correlation
 * @author Shinichi Fujino
 * @since 2022.4.1
 * @version 1.0.1.0
 */

#ifndef __CORR_H__INCLUDED__
#define __CORR_H__INCLUDED__


#if defined __cplusplus
extern "C" {
#endif

extern float Correlation( const float src[JIHOUDET_FRAME_CONV], const float coeff[JIHOUDET_FRAME_CONV][2] );

#if defined __cplusplus
}
#endif



#endif // __CORR_H__INCLUDED__


/*
 * Local Variables:
 *  tab-width : 4
 * End:
 *
 * EOF */
