﻿/***********************************************************//**
 *
 * Copy the buffer
 * @author Shinichi Fujino
 * @since 2022.4.1
 * @version 1.0.1.0
 */

#ifndef __MEMCPY_H__INCLUDE__
#define __MEMCPY_H__INCLUDE__

#if defined __cplusplus
extern "C" {
#endif

extern void memcpy_i8( int8_t* dst, const int8_t* src, int size );

extern void memcpy_i16( int16_t* dst, const int16_t* src, int size );

extern void memcpy_i32( int32_t* dst, const int32_t* src, int size );

extern void memcpy_f32( float* dst, const float* src, int size );

#if defined __cplusplus
}
#endif

#endif // __MEMCPY_H__INCLUDE__


/*
 * Local Variables:
 *  tab-width : 4
 * End:
 *
 * EOF */
