﻿/***********************************************************//**
 *
 * List of definitions
 * @author Shinichi Fujino
 * @since 2022.4.1
 * @version 1.0.1.0
 */

#ifndef __JIHOUDET_DEF_H__INCLUDED__
#define __JIHOUDET_DEF_H__INCLUDED__



#define JIHOUDET_FRAME_12K	(128) /**< フレーム長. 10.6666[ms]@FS=12[kHz] */
#define JIHOUDET_FRAME_06K	( JIHOUDET_FRAME_12K / 2 ) /**< 64. フレーム長. 10.6666[ms]@FS=6[kHz] */
#define JIHOUDET_FRAME_CONV	( 2 * JIHOUDET_FRAME_06K ) /**< 128. 畳み込み長 */
#define JIHOUDET_SEARCH_NUM	( 11 ) /**< 探索数 */



#endif // __JIHOUDET_DEF_H__INCLUDED__


/*
 * Local Variables:
 *  tab-width : 4
 * End:
 *
 * EOF */
