﻿/***********************************************************//**
 *
 * Set the buffer to the specified value
 * @author Shinichi Fujino
 * @since 2022.4.1
 * @version 1.0.1.0
 */

#ifndef __MEMSET_H__INCLUDE__
#define __MEMSET_H__INCLUDE__

#if defined __cplusplus
extern "C" {
#endif

extern void memset_i8( int8_t* dst, int8_t value, int size );

extern void memset_i16( int16_t* dst, int16_t value, int size );

extern void memset_i32( int32_t* dst, int32_t value, int size );

extern void memset_f32( float* dst, float value, int size );

#if defined __cplusplus
}
#endif


#endif // __MEMSET_H__INCLUDE__


/*
 * Local Variables:
 *  tab-width : 4
 * End:
 *
 * EOF */
